## org.apache.log4j.pattern
Class FileDatePatternConverter

    java.lang.Object
      org.apache.log4j.pattern.FileDatePatternConverter

    public final class FileDatePatternConverter

extends Object

Formats an date by delegating to DatePatternConverter. The default date pattern for a %d specifier in a file name is different than the %d pattern in pattern layout.

Author:
  Curt Arnold

Method Summary
`static PatternConverter` `newInstance(String[] options)` Obtains an instance of pattern converter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static PatternConverter newInstance(String[] options)

  Obtains an instance of pattern converter.

  Parameters:
    `options` - options, may be null.
  Returns:
    instance of pattern converter.

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.